

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.12. grn_geo &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.25.13. grn_hook" href="grn_hook.html" />
    <link rel="prev" title="7.25.11. grn_expr" href="grn_expr.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/api/grn_geo.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="grn_hook.html" title="7.25.13. grn_hook"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="grn_expr.html" title="7.25.11. grn_expr"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.12. </span><code class="docutils literal notranslate"><span class="pre">grn_geo</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-geo">
<h1><span class="section-number">7.25.12. </span><code class="docutils literal notranslate"><span class="pre">grn_geo</span></code><a class="headerlink" href="#grn-geo" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.12.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.12.2. </span>Example<a class="headerlink" href="#example" title="Permalink to this headline">¶</a></h2>
<p>TODO…</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.12.3. </span>Reference<a class="headerlink" href="#reference" title="Permalink to this headline">¶</a></h2>
<dl class="c type">
<dt id="c.grn_geo_point">
<em class="property">type </em><code class="sig-name descname">grn_geo_point</code><a class="headerlink" href="#c.grn_geo_point" title="Permalink to this definition">¶</a><br /></dt>
<dd></dd></dl>

<dl class="c function">
<dt id="c.grn_geo_select_in_rectangle">
grn_rc <code class="sig-name descname">grn_geo_select_in_rectangle</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>index</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>top_left_point</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>bottom_right_point</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>res</em>, grn_operator <em>op</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_geo_select_in_rectangle" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It selects records that are in the rectangle specified by top_left_point parameter and bottom_right_point parameter. Records are searched by index parameter. Found records are added to res parameter table with op parameter operation.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>index</strong> – the index column for TokyoGeoPoint or WGS84GeoPpoint type.</p></li>
<li><p><strong>top_left_point</strong> – the top left point of the target rectangle. (ShortText, Text, LongText, TokyoGeoPoint or  WGS84GeoPoint)</p></li>
<li><p><strong>bottom_right_point</strong> – the bottom right point of the target rectangle. (ShortText, Text, LongText, TokyoGeoPoint or WGS84GeoPoint)</p></li>
<li><p><strong>res</strong> – the table to store found record IDs. It must be <code class="docutils literal notranslate"><span class="pre">GRN_TABLE_HASH_KEY</span></code> type table.</p></li>
<li><p><strong>op</strong> – the operator for matched records.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_geo_estimate_in_rectangle">
int <code class="sig-name descname">grn_geo_estimate_in_rectangle</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>index</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>top_left_point</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>bottom_right_point</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_geo_estimate_in_rectangle" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It estimates number of records in the rectangle specified by top_left_point parameter and bottom_right_point parameter. Number of records is estimated by index parameter. If an error is occurred, -1 is returned.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>index</strong> – the index column for TokyoGeoPoint or WGS84GeoPpoint type.</p></li>
<li><p><strong>top_left_point</strong> – the top left point of the target rectangle. (ShortText, Text, LongText, TokyoGeoPoint or WGS84GeoPoint)</p></li>
<li><p><strong>bottom_right_point</strong> – the bottom right point of the target rectangle. (ShortText, Text, LongText, TokyoGeoPoint or WGS84GeoPoint)</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_geo_cursor_open_in_rectangle">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_geo_cursor_open_in_rectangle</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>index</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>top_left_point</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>bottom_right_point</em>, int <em>offset</em>, int <em>limit</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_geo_cursor_open_in_rectangle" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It opens a cursor to get records in the rectangle specified by top_left_point parameter and bottom_right_point parameter.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>index</strong> – the index column for TokyoGeoPoint or WGS84GeoPpoint type.</p></li>
<li><p><strong>top_left_point</strong> – the top left point of the target rectangle. (ShortText, Text, LongText, TokyoGeoPoint or WGS84GeoPoint)</p></li>
<li><p><strong>bottom_right_point</strong> – the bottom right point of the target rectangle. (ShortText, Text, LongText, TokyoGeoPoint or WGS84GeoPoint)</p></li>
<li><p><strong>offset</strong> – the cursor returns records from offset parameter position. offset parameter is based on 0.</p></li>
<li><p><strong>limit</strong> – the cursor returns at most limit parameter records. -1 means no limit.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="c function">
<dt id="c.grn_geo_cursor_next">
grn_posting *<code class="sig-name descname">grn_geo_cursor_next</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<em>cursor</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_geo_cursor_next" title="Permalink to this definition">¶</a><br /></dt>
<dd><p>It returns the next posting that has record ID. It returns NULL after all records are returned.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>cursor</strong> – the geo cursor.</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.12. <code class="docutils literal notranslate"><span class="pre">grn_geo</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.12.1. Summary</a></li>
<li><a class="reference internal" href="#example">7.25.12.2. Example</a></li>
<li><a class="reference internal" href="#reference">7.25.12.3. Reference</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="grn_expr.html"
                        title="previous chapter"><span class="section-number">7.25.11. </span>grn_expr</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="grn_hook.html"
                        title="next chapter"><span class="section-number">7.25.13. </span><code class="docutils literal notranslate"><span class="pre">grn_hook</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="grn_hook.html" title="7.25.13. grn_hook"
             >next</a> |</li>
        <li class="right" >
          <a href="grn_expr.html" title="7.25.11. grn_expr"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.12. </span><code class="docutils literal notranslate"><span class="pre">grn_geo</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>